Build: #19 was successful

Job: Default Job was successful

Stages & jobs

  1. Default Stage

Build log

The build generated 346 lines of output. Download or view full build log

02-Dec-2016 14:02:01 Build Clowder - pyclowder - Default Job #19 (CATS-PYC-JOB1-19) started building on agent buildserver-1.ncsa.illinois.edu
02-Dec-2016 14:02:01 Remote Agent
02-Dec-2016 14:02:01 Build working directory is /home/bamboo/bamboo-agent-home/xml-data/build-dir/CATS-PYC-JOB1
02-Dec-2016 14:02:01 Executing build Clowder - pyclowder - Default Job #19 (CATS-PYC-JOB1-19)
02-Dec-2016 14:02:01 Starting task 'Checkout Default Repository' of type 'com.atlassian.bamboo.plugins.vcs:task.vcs.checkout'
02-Dec-2016 14:02:01 Updating source code to revision: ba093255d5d69cf4712f72f21adb41d663a1e7eb
02-Dec-2016 14:02:01 Creating local git repository in '/home/bamboo/bamboo-agent-home/xml-data/build-dir/CATS-PYC-JOB1/.git'.
02-Dec-2016 14:02:01 Initialized empty Git repository in /home/bamboo/bamboo-agent-home/xml-data/build-dir/CATS-PYC-JOB1/.git/
02-Dec-2016 14:02:02 Fetching 'refs/heads/master' from 'ssh://git@opensource.ncsa.illinois.edu:7999/cats/pyclowder.git'. Will try to do a shallow fetch.
02-Dec-2016 14:02:02 Warning: Permanently added '[127.0.0.1]:34470' (RSA) to the list of known hosts.
02-Dec-2016 14:02:03 From ssh://127.0.0.1:34470/cats/pyclowder
02-Dec-2016 14:02:03 * [new branch]      master     -> master
02-Dec-2016 14:02:03 Checking out revision ba093255d5d69cf4712f72f21adb41d663a1e7eb.
02-Dec-2016 14:02:03 Already on 'master'
02-Dec-2016 14:02:03 Updated source code to revision: ba093255d5d69cf4712f72f21adb41d663a1e7eb
02-Dec-2016 14:02:03 Finished task 'Checkout Default Repository' with result: Success
02-Dec-2016 14:02:03 Running pre-build action: VCS Version Collector
02-Dec-2016 14:02:03 Starting task 'docker build and push' of type 'com.atlassian.bamboo.plugins.scripttask:task.builder.script'
02-Dec-2016 14:02:03
Beginning to execute external process for build 'Clowder - pyclowder - Default Job #19 (CATS-PYC-JOB1-19)'
... running command line:
/bin/sh docker.sh
... in: /home/bamboo/bamboo-agent-home/xml-data/build-dir/CATS-PYC-JOB1
... using extra environment variables:
bamboo_planRepository_1_branch=master
bamboo_capability_system_builder_command_buckminster_4_2=/home/bamboo/buckminster-4.2/buckminster
bamboo_repository_revision_number=ba093255d5d69cf4712f72f21adb41d663a1e7eb
bamboo_repository_102203416_git_branch=master
bamboo_resultsUrl=https://opensource.ncsa.illinois.edu/bamboo/browse/CATS-PYC-JOB1-19
bamboo_repository_102203416_branch_name=master
bamboo_capability_system_builder_command_sphinx=/usr/bin/sphinx-build
bamboo_planRepository_1_name=pyclowder
bamboo_build_working_directory=/home/bamboo/bamboo-agent-home/xml-data/build-dir/CATS-PYC-JOB1
bamboo_buildKey=CATS-PYC-JOB1
bamboo_capability_system_os=linux
bamboo_shortPlanName=pyclowder
bamboo_planRepository_name=pyclowder
bamboo_buildNumber=19
bamboo_shortJobName=Default Job
bamboo_buildResultsUrl=https://opensource.ncsa.illinois.edu/bamboo/browse/CATS-PYC-JOB1-19
bamboo_repository_102203416_name=pyclowder
PROJECT=ncsa
bamboo_planRepository_repositoryUrl=ssh://git@opensource.ncsa.illinois.edu:7999/cats/pyclowder.git
bamboo_agentId=108560385
bamboo_planName=Clowder - pyclowder
bamboo_shortPlanKey=PYC
bamboo_capability_system_builder_command_sbt_0_13=/home/bamboo/sbt-0.13.2/bin/sbt
bamboo_shortJobKey=JOB1
bamboo_planRepository_revision=ba093255d5d69cf4712f72f21adb41d663a1e7eb
bamboo_repository_previous_revision_number=a1f2c6a970eefbb9060a0a9306bd30d1da712ab4
bamboo_buildTimeStamp=2016-12-02T14:02:01.437-06:00
bamboo_capability_system_builder_command_npm=/home/bamboo/node-v0.10.28/bin/npm
bamboo_planRepository_previousRevision=a1f2c6a970eefbb9060a0a9306bd30d1da712ab4
bamboo_capability_system_builder_mvn2_Maven_2=/home/bamboo/apache-maven-2.2.1
bamboo_buildResultKey=CATS-PYC-JOB1-19
bamboo_repository_git_branch=master
bamboo_repository_branch_name=master
bamboo_buildPlanName=Clowder - pyclowder - Default Job
bamboo_planRepository_1_revision=ba093255d5d69cf4712f72f21adb41d663a1e7eb
bamboo_capability_system_builder_command_python3=/usr/bin/python3
bamboo_repository_name=pyclowder
bamboo_repository_102203416_git_repositoryUrl=ssh://git@opensource.ncsa.illinois.edu:7999/cats/pyclowder.git
bamboo_repository_102203416_git_username=
bamboo_capability_system_docker_executable=/usr/bin/docker
bamboo_capability_system_builder_command_grunt=/home/bamboo/node-v0.10.28/bin/grunt
bamboo_planRepository_branch=master
bamboo_repository_102203416_revision_number=ba093255d5d69cf4712f72f21adb41d663a1e7eb
bamboo_agentWorkingDirectory=/home/bamboo/bamboo-agent-home/xml-data/build-dir
bamboo_capability_system_git_executable=/usr/bin/git
bamboo_planRepository_1_previousRevision=a1f2c6a970eefbb9060a0a9306bd30d1da712ab4
bamboo_repository_git_username=
bamboo_capability_system_builder_command_phantomjs=/home/bamboo/phantomjs-1.9.8/bin/phantomjs
bamboo_planRepository_1_type=stash-rep
bamboo_planRepository_branchName=master
bamboo_capability_system_builder_command_python2_7=/usr/bin/python2.7
bamboo_capability_system_hostname=buildserver-1
bamboo_capability_system_jdk_JDK=/home/bamboo/jdk1.8.0_66
bamboo_capability_system_software_mongo=/usr/bin/mongo
bamboo_capability_system_software_rabbitmq=/usr/sbin/rabbitmqctl
bamboo_capability_system_builder_command_casperjs=/home/bamboo/node-v0.10.28/bin/casperjs
bamboo_planRepository_type=stash-rep
bamboo_planRepository_1_username=
bamboo_capability_system_jdk_JDK_1_8_0_66=/home/bamboo/jdk1.8.0_66
bamboo_repository_git_repositoryUrl=ssh://git@opensource.ncsa.illinois.edu:7999/cats/pyclowder.git
bamboo_capability_system_builder_node_Node_js=/home/bamboo/node-v0.10.28/bin/node
bamboo_repository_102203416_previous_revision_number=a1f2c6a970eefbb9060a0a9306bd30d1da712ab4
bamboo_capability_system_builder_ant_Ant=/home/bamboo/apache-ant-1.9.4
bamboo_capability_system_builder_mvn3_Maven_3=/home/bamboo/apache-maven-3.3.9
bamboo_working_directory=/home/bamboo/bamboo-agent-home/xml-data/build-dir/CATS-PYC-JOB1
bamboo_planKey=CATS-PYC
bamboo_planRepository_1_repositoryUrl=ssh://git@opensource.ncsa.illinois.edu:7999/cats/pyclowder.git
bamboo_planRepository_username=
bamboo_capability_system_jdk_JDK_1_8=/home/bamboo/jdk1.8.0_66
bamboo_capability_system_jdk_JDK_1_6=/home/bamboo/jdk1.6.0_41
bamboo_capability_system_builder_command_mkcrx=/home/bamboo/mkcrx/mkcrx.sh
bamboo_capability_system_jdk_JDK_1_7=/home/bamboo/jdk1.7.0_60
bamboo_planRepository_1_branchName=master
02-Dec-2016 14:02:04 Sending build context to Docker daemon 206.3 kB
02-Dec-2016 14:02:04
02-Dec-2016 14:02:04 Step 1 : FROM ubuntu:16.04
02-Dec-2016 14:02:04 16.04: Pulling from library/ubuntu
02-Dec-2016 14:02:04 Digest: sha256:3b64c309deae7ab0f7dbdd42b6b326261ccd6261da5d88396439353162703fb5
02-Dec-2016 14:02:04 Status: Downloaded newer image for ubuntu:16.04
02-Dec-2016 14:02:04 ---> 4ca3a192ff2a
02-Dec-2016 14:02:04 Step 2 : MAINTAINER Rui Liu <ruiliu@illinois.edu>
02-Dec-2016 14:02:05 ---> Running in d8d67d89811f
02-Dec-2016 14:02:05 ---> 6135a105cea5
02-Dec-2016 14:02:05 Removing intermediate container d8d67d89811f
02-Dec-2016 14:02:05 Step 3 : RUN apt-get -q -q update && apt-get install -y --no-install-recommends         netcat         python         python-pip     && pip install --upgrade         pika         requests         setuptools         urllib3     && rm -rf /var/lib/apt/lists/*     && adduser --system clowder
02-Dec-2016 14:02:05 ---> Running in c1f609e06dbc
02-Dec-2016 14:02:14 Reading package lists...
02-Dec-2016 14:02:14 Building dependency tree...
02-Dec-2016 14:02:14 Reading state information...
02-Dec-2016 14:02:14 The following additional packages will be installed:
02-Dec-2016 14:02:14   ca-certificates libexpat1 libffi6 libpython-stdlib libpython2.7-minimal
02-Dec-2016 14:02:14   libpython2.7-stdlib libsqlite3-0 libssl1.0.0 mime-support netcat-traditional
02-Dec-2016 14:02:14   openssl python-minimal python-pip-whl python2.7 python2.7-minimal
02-Dec-2016 14:02:14 Suggested packages:
02-Dec-2016 14:02:14   python-doc python-tk python2.7-doc binutils binfmt-support
02-Dec-2016 14:02:14 Recommended packages:
02-Dec-2016 14:02:14   file build-essential python-all-dev python-setuptools python-wheel
02-Dec-2016 14:02:14 The following NEW packages will be installed:
02-Dec-2016 14:02:14   ca-certificates libexpat1 libffi6 libpython-stdlib libpython2.7-minimal
02-Dec-2016 14:02:14   libpython2.7-stdlib libsqlite3-0 libssl1.0.0 mime-support netcat
02-Dec-2016 14:02:14   netcat-traditional openssl python python-minimal python-pip python-pip-whl
02-Dec-2016 14:02:14   python2.7 python2.7-minimal
02-Dec-2016 14:02:14 0 upgraded, 18 newly installed, 0 to remove and 0 not upgraded.
02-Dec-2016 14:02:14 Need to get 7514 kB of archives.
02-Dec-2016 14:02:14 After this operation, 25.1 MB of additional disk space will be used.
02-Dec-2016 14:02:14 Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpython2.7-minimal amd64 2.7.12-1ubuntu0~16.04.1 [339 kB]
02-Dec-2016 14:02:15 Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python2.7-minimal amd64 2.7.12-1ubuntu0~16.04.1 [1295 kB]
02-Dec-2016 14:02:15 Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-minimal amd64 2.7.11-1 [28.2 kB]
02-Dec-2016 14:02:15 Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 mime-support all 3.59ubuntu1 [31.0 kB]
02-Dec-2016 14:02:15 Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libexpat1 amd64 2.1.0-7ubuntu0.16.04.2 [71.3 kB]
02-Dec-2016 14:02:15 Get:6 http://archive.ubuntu.com/ubuntu xenial/main amd64 libffi6 amd64 3.2.1-4 [17.8 kB]
02-Dec-2016 14:02:15 Get:7 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsqlite3-0 amd64 3.11.0-1ubuntu1 [396 kB]
02-Dec-2016 14:02:15 Get:8 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libssl1.0.0 amd64 1.0.2g-1ubuntu4.5 [1082 kB]
02-Dec-2016 14:02:15 Get:9 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpython2.7-stdlib amd64 2.7.12-1ubuntu0~16.04.1 [1884 kB]
02-Dec-2016 14:02:16 Get:10 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python2.7 amd64 2.7.12-1ubuntu0~16.04.1 [224 kB]
02-Dec-2016 14:02:16 Get:11 http://archive.ubuntu.com/ubuntu xenial/main amd64 libpython-stdlib amd64 2.7.11-1 [7656 B]
02-Dec-2016 14:02:16 Get:12 http://archive.ubuntu.com/ubuntu xenial/main amd64 python amd64 2.7.11-1 [137 kB]
02-Dec-2016 14:02:16 Get:13 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 openssl amd64 1.0.2g-1ubuntu4.5 [491 kB]
02-Dec-2016 14:02:16 Get:14 http://archive.ubuntu.com/ubuntu xenial/main amd64 ca-certificates all 20160104ubuntu1 [191 kB]
02-Dec-2016 14:02:16 Get:15 http://archive.ubuntu.com/ubuntu xenial/universe amd64 netcat-traditional amd64 1.10-41 [60.7 kB]
02-Dec-2016 14:02:16 Get:16 http://archive.ubuntu.com/ubuntu xenial/universe amd64 netcat all 1.10-41 [3438 B]
02-Dec-2016 14:02:16 Get:17 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 python-pip-whl all 8.1.1-2ubuntu0.4 [1110 kB]
02-Dec-2016 14:02:16 Get:18 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 python-pip all 8.1.1-2ubuntu0.4 [144 kB]
02-Dec-2016 14:02:16 debconf: delaying package configuration, since apt-utils is not installed
02-Dec-2016 14:02:16 Fetched 7514 kB in 1s (4309 kB/s)
02-Dec-2016 14:02:17 Selecting previously unselected package libpython2.7-minimal:amd64.
02-Dec-2016 14:02:17 (Reading database ...
02-Dec-2016 14:02:17 (Reading database ... 5%
02-Dec-2016 14:02:17 (Reading database ... 10%
02-Dec-2016 14:02:17 (Reading database ... 15%
02-Dec-2016 14:02:17 (Reading database ... 20%
02-Dec-2016 14:02:17 (Reading database ... 25%
02-Dec-2016 14:02:17 (Reading database ... 30%
02-Dec-2016 14:02:17 (Reading database ... 35%
02-Dec-2016 14:02:17 (Reading database ... 40%
02-Dec-2016 14:02:17 (Reading database ... 45%
02-Dec-2016 14:02:17 (Reading database ... 50%
02-Dec-2016 14:02:17 (Reading database ... 55%
02-Dec-2016 14:02:17 (Reading database ... 60%
02-Dec-2016 14:02:17 (Reading database ... 65%
02-Dec-2016 14:02:17 (Reading database ... 70%
02-Dec-2016 14:02:17 (Reading database ... 75%
02-Dec-2016 14:02:17 (Reading database ... 80%
02-Dec-2016 14:02:17 (Reading database ... 85%
02-Dec-2016 14:02:17 (Reading database ... 90%
02-Dec-2016 14:02:17 (Reading database ... 95%
02-Dec-2016 14:02:17 (Reading database ... 100%
02-Dec-2016 14:02:17 (Reading database ... 7259 files and directories currently installed.)
02-Dec-2016 14:02:17 Preparing to unpack .../libpython2.7-minimal_2.7.12-1ubuntu0~16.04.1_amd64.deb ...
02-Dec-2016 14:02:17 Unpacking libpython2.7-minimal:amd64 (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:17 Selecting previously unselected package python2.7-minimal.
02-Dec-2016 14:02:17 Preparing to unpack .../python2.7-minimal_2.7.12-1ubuntu0~16.04.1_amd64.deb ...
02-Dec-2016 14:02:17 Unpacking python2.7-minimal (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:17 Selecting previously unselected package python-minimal.
02-Dec-2016 14:02:17 Preparing to unpack .../python-minimal_2.7.11-1_amd64.deb ...
02-Dec-2016 14:02:17 Unpacking python-minimal (2.7.11-1) ...
02-Dec-2016 14:02:17 Selecting previously unselected package mime-support.
02-Dec-2016 14:02:17 Preparing to unpack .../mime-support_3.59ubuntu1_all.deb ...
02-Dec-2016 14:02:17 Unpacking mime-support (3.59ubuntu1) ...
02-Dec-2016 14:02:17 Selecting previously unselected package libexpat1:amd64.
02-Dec-2016 14:02:17 Preparing to unpack .../libexpat1_2.1.0-7ubuntu0.16.04.2_amd64.deb ...
02-Dec-2016 14:02:17 Unpacking libexpat1:amd64 (2.1.0-7ubuntu0.16.04.2) ...
02-Dec-2016 14:02:18 Selecting previously unselected package libffi6:amd64.
02-Dec-2016 14:02:18 Preparing to unpack .../libffi6_3.2.1-4_amd64.deb ...
02-Dec-2016 14:02:18 Unpacking libffi6:amd64 (3.2.1-4) ...
02-Dec-2016 14:02:18 Selecting previously unselected package libsqlite3-0:amd64.
02-Dec-2016 14:02:18 Preparing to unpack .../libsqlite3-0_3.11.0-1ubuntu1_amd64.deb ...
02-Dec-2016 14:02:18 Unpacking libsqlite3-0:amd64 (3.11.0-1ubuntu1) ...
02-Dec-2016 14:02:18 Selecting previously unselected package libssl1.0.0:amd64.
02-Dec-2016 14:02:18 Preparing to unpack .../libssl1.0.0_1.0.2g-1ubuntu4.5_amd64.deb ...
02-Dec-2016 14:02:18 Unpacking libssl1.0.0:amd64 (1.0.2g-1ubuntu4.5) ...
02-Dec-2016 14:02:18 Selecting previously unselected package libpython2.7-stdlib:amd64.
02-Dec-2016 14:02:18 Preparing to unpack .../libpython2.7-stdlib_2.7.12-1ubuntu0~16.04.1_amd64.deb ...
02-Dec-2016 14:02:18 Unpacking libpython2.7-stdlib:amd64 (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:19 Selecting previously unselected package python2.7.
02-Dec-2016 14:02:19 Preparing to unpack .../python2.7_2.7.12-1ubuntu0~16.04.1_amd64.deb ...
02-Dec-2016 14:02:19 Unpacking python2.7 (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:19 Selecting previously unselected package libpython-stdlib:amd64.
02-Dec-2016 14:02:19 Preparing to unpack .../libpython-stdlib_2.7.11-1_amd64.deb ...
02-Dec-2016 14:02:19 Unpacking libpython-stdlib:amd64 (2.7.11-1) ...
02-Dec-2016 14:02:19 Processing triggers for libc-bin (2.23-0ubuntu4) ...
02-Dec-2016 14:02:19 Setting up libpython2.7-minimal:amd64 (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:19 Setting up python2.7-minimal (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:20 Linking and byte-compiling packages for runtime python2.7...
02-Dec-2016 14:02:20 Setting up python-minimal (2.7.11-1) ...
02-Dec-2016 14:02:20 Selecting previously unselected package python.
02-Dec-2016 14:02:20 (Reading database ...
02-Dec-2016 14:02:20 (Reading database ... 5%
02-Dec-2016 14:02:20 (Reading database ... 10%
02-Dec-2016 14:02:20 (Reading database ... 15%
02-Dec-2016 14:02:20 (Reading database ... 20%
02-Dec-2016 14:02:20 (Reading database ... 25%
02-Dec-2016 14:02:20 (Reading database ... 30%
02-Dec-2016 14:02:20 (Reading database ... 35%
02-Dec-2016 14:02:20 (Reading database ... 40%
02-Dec-2016 14:02:20 (Reading database ... 45%
02-Dec-2016 14:02:20 (Reading database ... 50%
02-Dec-2016 14:02:20 (Reading database ... 55%
02-Dec-2016 14:02:20 (Reading database ... 60%
02-Dec-2016 14:02:20 (Reading database ... 65%
02-Dec-2016 14:02:20 (Reading database ... 70%
02-Dec-2016 14:02:20 (Reading database ... 75%
02-Dec-2016 14:02:20 (Reading database ... 80%
02-Dec-2016 14:02:20 (Reading database ... 85%
02-Dec-2016 14:02:20 (Reading database ... 90%
02-Dec-2016 14:02:20 (Reading database ... 95%
02-Dec-2016 14:02:20 (Reading database ... 100%
02-Dec-2016 14:02:20 (Reading database ... 8070 files and directories currently installed.)
02-Dec-2016 14:02:20 Preparing to unpack .../python_2.7.11-1_amd64.deb ...
02-Dec-2016 14:02:20 Unpacking python (2.7.11-1) ...
02-Dec-2016 14:02:20 Selecting previously unselected package openssl.
02-Dec-2016 14:02:20 Preparing to unpack .../openssl_1.0.2g-1ubuntu4.5_amd64.deb ...
02-Dec-2016 14:02:20 Unpacking openssl (1.0.2g-1ubuntu4.5) ...
02-Dec-2016 14:02:20 Selecting previously unselected package ca-certificates.
02-Dec-2016 14:02:20 Preparing to unpack .../ca-certificates_20160104ubuntu1_all.deb ...
02-Dec-2016 14:02:20 Unpacking ca-certificates (20160104ubuntu1) ...
02-Dec-2016 14:02:20 Selecting previously unselected package netcat-traditional.
02-Dec-2016 14:02:20 Preparing to unpack .../netcat-traditional_1.10-41_amd64.deb ...
02-Dec-2016 14:02:20 Unpacking netcat-traditional (1.10-41) ...
02-Dec-2016 14:02:21 Selecting previously unselected package netcat.
02-Dec-2016 14:02:21 Preparing to unpack .../netcat_1.10-41_all.deb ...
02-Dec-2016 14:02:21 Unpacking netcat (1.10-41) ...
02-Dec-2016 14:02:21 Selecting previously unselected package python-pip-whl.
02-Dec-2016 14:02:21 Preparing to unpack .../python-pip-whl_8.1.1-2ubuntu0.4_all.deb ...
02-Dec-2016 14:02:21 Unpacking python-pip-whl (8.1.1-2ubuntu0.4) ...
02-Dec-2016 14:02:21 Selecting previously unselected package python-pip.
02-Dec-2016 14:02:21 Preparing to unpack .../python-pip_8.1.1-2ubuntu0.4_all.deb ...
02-Dec-2016 14:02:21 Unpacking python-pip (8.1.1-2ubuntu0.4) ...
02-Dec-2016 14:02:21 Setting up mime-support (3.59ubuntu1) ...
02-Dec-2016 14:02:21 Setting up libexpat1:amd64 (2.1.0-7ubuntu0.16.04.2) ...
02-Dec-2016 14:02:21 Setting up libffi6:amd64 (3.2.1-4) ...
02-Dec-2016 14:02:21 Setting up libsqlite3-0:amd64 (3.11.0-1ubuntu1) ...
02-Dec-2016 14:02:21 Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu4.5) ...
02-Dec-2016 14:02:21 debconf: unable to initialize frontend: Dialog
02-Dec-2016 14:02:21 debconf: (TERM is not set, so the dialog frontend is not usable.)
02-Dec-2016 14:02:21 debconf: falling back to frontend: Readline
02-Dec-2016 14:02:21 debconf: unable to initialize frontend: Readline
02-Dec-2016 14:02:21 debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
02-Dec-2016 14:02:21 debconf: falling back to frontend: Teletype
02-Dec-2016 14:02:21 Setting up libpython2.7-stdlib:amd64 (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:21 Setting up python2.7 (2.7.12-1ubuntu0~16.04.1) ...
02-Dec-2016 14:02:23 Setting up libpython-stdlib:amd64 (2.7.11-1) ...
02-Dec-2016 14:02:23 Setting up python (2.7.11-1) ...
02-Dec-2016 14:02:23 Setting up openssl (1.0.2g-1ubuntu4.5) ...
02-Dec-2016 14:02:23 Setting up ca-certificates (20160104ubuntu1) ...
02-Dec-2016 14:02:23 debconf: unable to initialize frontend: Dialog
02-Dec-2016 14:02:23 debconf: (TERM is not set, so the dialog frontend is not usable.)
02-Dec-2016 14:02:23 debconf: falling back to frontend: Readline
02-Dec-2016 14:02:23 debconf: unable to initialize frontend: Readline
02-Dec-2016 14:02:23 debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
02-Dec-2016 14:02:23 debconf: falling back to frontend: Teletype
02-Dec-2016 14:02:24 Setting up netcat-traditional (1.10-41) ...
02-Dec-2016 14:02:24 update-alternatives: using /bin/nc.traditional to provide /bin/nc (nc) in auto mode
02-Dec-2016 14:02:24 Setting up netcat (1.10-41) ...
02-Dec-2016 14:02:24 Setting up python-pip-whl (8.1.1-2ubuntu0.4) ...
02-Dec-2016 14:02:24 Setting up python-pip (8.1.1-2ubuntu0.4) ...
02-Dec-2016 14:02:25 Processing triggers for libc-bin (2.23-0ubuntu4) ...
02-Dec-2016 14:02:25 Processing triggers for ca-certificates (20160104ubuntu1) ...
02-Dec-2016 14:02:25 Updating certificates in /etc/ssl/certs...
02-Dec-2016 14:02:29 173 added, 0 removed; done.
02-Dec-2016 14:02:29 Running hooks in /etc/ca-certificates/update.d...
02-Dec-2016 14:02:29 done.
02-Dec-2016 14:02:31 Collecting pika
02-Dec-2016 14:02:31   Downloading pika-0.10.0-py2.py3-none-any.whl (92kB)
02-Dec-2016 14:02:31 Collecting requests
02-Dec-2016 14:02:31   Downloading requests-2.12.3-py2.py3-none-any.whl (575kB)
02-Dec-2016 14:02:32 Collecting setuptools
02-Dec-2016 14:02:33   Downloading setuptools-30.0.0-py2.py3-none-any.whl (472kB)
02-Dec-2016 14:02:33 Collecting urllib3
02-Dec-2016 14:02:33   Downloading urllib3-1.19.1-py2.py3-none-any.whl (104kB)
02-Dec-2016 14:02:33 Installing collected packages: pika, requests, setuptools, urllib3
02-Dec-2016 14:02:34 Successfully installed pika-0.10.0 requests-2.12.3 setuptools-30.0.0 urllib3-1.19.1
02-Dec-2016 14:02:34 You are using pip version 8.1.1, however version 9.0.1 is available.
02-Dec-2016 14:02:34 You should consider upgrading via the 'pip install --upgrade pip' command.
02-Dec-2016 14:02:35 Adding system user `clowder' (UID 105) ...
02-Dec-2016 14:02:35 Adding new user `clowder' (UID 105) with group `nogroup' ...
02-Dec-2016 14:02:35 Creating home directory `/home/clowder' ...
02-Dec-2016 14:02:40 ---> 2b3b9892ae3d
02-Dec-2016 14:02:40 Removing intermediate container c1f609e06dbc
02-Dec-2016 14:02:40 Step 4 : COPY pyclowder /tmp/pyclowder/pyclowder
02-Dec-2016 14:02:40 ---> 366533f16dbd
02-Dec-2016 14:02:40 Removing intermediate container f27f1e0d125c
02-Dec-2016 14:02:40 Step 5 : COPY setup.py /tmp/pyclowder
02-Dec-2016 14:02:41 ---> 7f70f70a35b0
02-Dec-2016 14:02:41 Removing intermediate container ffe1f2589fc2
02-Dec-2016 14:02:41 Step 6 : RUN pip install --upgrade /tmp/pyclowder     && rm -rf /tmp/pyclowder
02-Dec-2016 14:02:41 ---> Running in d7edbac94690
02-Dec-2016 14:02:42 Processing /tmp/pyclowder
02-Dec-2016 14:02:43 Installing collected packages: pyclowder
02-Dec-2016 14:02:43   Running setup.py install for pyclowder: started
02-Dec-2016 14:02:43     Running setup.py install for pyclowder: finished with status 'done'
02-Dec-2016 14:02:43 Successfully installed pyclowder-0.9.2
02-Dec-2016 14:02:43 You are using pip version 8.1.1, however version 9.0.1 is available.
02-Dec-2016 14:02:43 You should consider upgrading via the 'pip install --upgrade pip' command.
02-Dec-2016 14:02:44 ---> 1cf478160c43
02-Dec-2016 14:02:44 Removing intermediate container d7edbac94690
02-Dec-2016 14:02:44 Successfully built 1cf478160c43
02-Dec-2016 14:02:45 The push refers to a repository [docker.io/ncsa/clowder-extractors-python-base]
02-Dec-2016 14:02:45 7f528d61b299: Preparing
02-Dec-2016 14:02:45 f8f97a76218a: Preparing
02-Dec-2016 14:02:45 eb7c4074ca9c: Preparing
02-Dec-2016 14:02:45 8c383293b107: Preparing
02-Dec-2016 14:02:45 0d45be5b95d8: Preparing
02-Dec-2016 14:02:45 18568efa7ad4: Preparing
02-Dec-2016 14:02:45 1c53295311c1: Preparing
02-Dec-2016 14:02:45 dfcc17ddae9e: Preparing
02-Dec-2016 14:02:45 d29d52f94ad5: Preparing
02-Dec-2016 14:02:45 18568efa7ad4: Waiting
02-Dec-2016 14:02:45 dfcc17ddae9e: Waiting
02-Dec-2016 14:02:45 d29d52f94ad5: Waiting
02-Dec-2016 14:02:45 1c53295311c1: Waiting
02-Dec-2016 14:02:47 0d45be5b95d8: Mounted from library/ubuntu
02-Dec-2016 14:02:47 7f528d61b299: Pushed
02-Dec-2016 14:02:47 18568efa7ad4: Mounted from library/ubuntu
02-Dec-2016 14:02:48 1c53295311c1: Mounted from library/ubuntu
02-Dec-2016 14:02:48 eb7c4074ca9c: Pushed
02-Dec-2016 14:02:48 f8f97a76218a: Pushed
02-Dec-2016 14:02:48 d29d52f94ad5: Mounted from library/ubuntu
02-Dec-2016 14:02:48 dfcc17ddae9e: Mounted from library/ubuntu
02-Dec-2016 14:03:00 8c383293b107: Pushed
02-Dec-2016 14:03:02 latest: digest: sha256:9e7d4e418e4c841e4a9909a2016177c8c19f8fe5ac7a29db6c585d2d7d7995ac size: 2194
02-Dec-2016 14:03:02 Untagged: 5903:latest
02-Dec-2016 14:03:02 Sending build context to Docker daemon 14.85 kB
02-Dec-2016 14:03:02
02-Dec-2016 14:03:02 Step 1 : FROM ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:03 latest: Pulling from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:03 Digest: sha256:9e7d4e418e4c841e4a9909a2016177c8c19f8fe5ac7a29db6c585d2d7d7995ac
02-Dec-2016 14:03:03 Status: Image is up to date for ncsa/clowder-extractors-python-base:latest
02-Dec-2016 14:03:03 ---> 1cf478160c43
02-Dec-2016 14:03:03 Step 2 : MAINTAINER Rob Kooper <kooper@illinois.edu>
02-Dec-2016 14:03:03 ---> Running in 7228c642571a
02-Dec-2016 14:03:03 ---> e862e833bc8f
02-Dec-2016 14:03:03 Removing intermediate container 7228c642571a
02-Dec-2016 14:03:03 Step 3 : ENV RABBITMQ_URI "" RABBITMQ_EXCHANGE "clowder" RABBITMQ_VHOST "%2F" RABBITMQ_QUEUE "wordCount" REGISTRATION_ENDPOINTS "" MAIN_SCRIPT "wordcount.py"
02-Dec-2016 14:03:03 ---> Running in 4ce8ed849406
02-Dec-2016 14:03:03 ---> 23c9b9b47956
02-Dec-2016 14:03:03 Removing intermediate container 4ce8ed849406
02-Dec-2016 14:03:03 Step 4 : USER clowder
02-Dec-2016 14:03:03 ---> Running in 4f60ef75e926
02-Dec-2016 14:03:03 ---> 3da9a7c7dc74
02-Dec-2016 14:03:03 Removing intermediate container 4f60ef75e926
02-Dec-2016 14:03:03 Step 5 : COPY entrypoint.sh *.py extractor_info.json /home/clowder/
02-Dec-2016 14:03:04 ---> f885cff4f582
02-Dec-2016 14:03:04 Removing intermediate container d973bb2f3c04
02-Dec-2016 14:03:04 Step 6 : ENTRYPOINT /home/clowder/entrypoint.sh
02-Dec-2016 14:03:04 ---> Running in 446bcc213a71
02-Dec-2016 14:03:04 ---> 8c016f2f82eb
02-Dec-2016 14:03:04 Removing intermediate container 446bcc213a71
02-Dec-2016 14:03:04 Step 7 : CMD extractor
02-Dec-2016 14:03:04 ---> Running in 884c5419d55a
02-Dec-2016 14:03:04 ---> c63c8269270e
02-Dec-2016 14:03:04 Removing intermediate container 884c5419d55a
02-Dec-2016 14:03:04 Successfully built c63c8269270e
02-Dec-2016 14:03:05 The push refers to a repository [docker.io/ncsa/clowder-extractors-wordcount]
02-Dec-2016 14:03:05 9fc013e0ffec: Preparing
02-Dec-2016 14:03:05 7f528d61b299: Preparing
02-Dec-2016 14:03:05 f8f97a76218a: Preparing
02-Dec-2016 14:03:05 eb7c4074ca9c: Preparing
02-Dec-2016 14:03:05 8c383293b107: Preparing
02-Dec-2016 14:03:05 0d45be5b95d8: Preparing
02-Dec-2016 14:03:05 18568efa7ad4: Preparing
02-Dec-2016 14:03:05 1c53295311c1: Preparing
02-Dec-2016 14:03:05 dfcc17ddae9e: Preparing
02-Dec-2016 14:03:05 d29d52f94ad5: Preparing
02-Dec-2016 14:03:05 0d45be5b95d8: Waiting
02-Dec-2016 14:03:05 18568efa7ad4: Waiting
02-Dec-2016 14:03:05 1c53295311c1: Waiting
02-Dec-2016 14:03:05 dfcc17ddae9e: Waiting
02-Dec-2016 14:03:05 d29d52f94ad5: Waiting
02-Dec-2016 14:03:06 7f528d61b299: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:06 eb7c4074ca9c: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:06 f8f97a76218a: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:06 8c383293b107: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:07 0d45be5b95d8: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:07 18568efa7ad4: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:07 1c53295311c1: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:07 dfcc17ddae9e: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:07 d29d52f94ad5: Mounted from ncsa/clowder-extractors-python-base
02-Dec-2016 14:03:09 9fc013e0ffec: Pushed
02-Dec-2016 14:03:11 latest: digest: sha256:dd4810b4b3afc9d728b434ade8e8c7e14a0508b7bfe769b010d8123006394c9e size: 2402
02-Dec-2016 14:03:11 Untagged: 5903:latest
02-Dec-2016 14:03:11 Finished task 'docker build and push' with result: Success
02-Dec-2016 14:03:11 Running post build plugin 'Docker Container Cleanup'
02-Dec-2016 14:03:11 Running post build plugin 'NCover Results Collector'
02-Dec-2016 14:03:11 Running post build plugin 'Clover Results Collector'
02-Dec-2016 14:03:11 Running post build plugin 'npm Cache Cleanup'
02-Dec-2016 14:03:11 Running post build plugin 'Artifact Copier'
02-Dec-2016 14:03:11 Finalising the build...
02-Dec-2016 14:03:11 Stopping timer.
02-Dec-2016 14:03:11 Build CATS-PYC-JOB1-19 completed.
02-Dec-2016 14:03:11 Running on server: post build plugin 'NCover Results Collector'
02-Dec-2016 14:03:11 Running on server: post build plugin 'Build Hanging Detection Configuration'
02-Dec-2016 14:03:11 Running on server: post build plugin 'Clover Delta Calculator'
02-Dec-2016 14:03:11 Running on server: post build plugin 'Maven Dependencies Postprocessor'
02-Dec-2016 14:03:11 All post build plugins have finished
02-Dec-2016 14:03:11 Generating build results summary...
02-Dec-2016 14:03:11 Saving build results to disk...
02-Dec-2016 14:03:11 Logging substituted variables...
02-Dec-2016 14:03:11 Indexing build results...
02-Dec-2016 14:03:11 Finished building CATS-PYC-JOB1-19.